<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/26/2009 *
 * ===================                          Last change: 11/26/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_network_vcheck_params.php             *
 * -------------------------------------------------------------------- *
 * Short description : List/manage network API query parameters         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Verwaltet API-Abfrageparameter                   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	exit();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// These are expert settings!
if (doVerifyExpertSettings() != 'agreed') {
	// Abort here
	return;
} // END - if

// By default we should display list/add new forms
$GLOBALS['network_display'] = TRUE;

// Handle form here
doNetworkHandleForm();

// Display forms?
if ($GLOBALS['network_display'] === FALSE) {
	// Abort here
	return;
} // END - if

// Is there a network selected?
if (isGetRequestElementSet('network_id')) {
	// Get its data for template
	$networkData = getNetworkDataById(getRequestElement('network_id'));

	// Init disabled list
	$GLOBALS['network_vcheck_params_disabled'] = array();

	// Load all advert types for given network
	$result = SQL_QUERY_ESC("SELECT
	`network_vcheck_param_id`,
	`network_vcheck_param_key`,
	`network_vcheck_param_value`,
	`network_vcheck_param_default`
FROM
	`{?_MYSQL_PREFIX?}_network_vcheck_params`
WHERE
	`network_id`=%s
ORDER BY
	`network_vcheck_param_id` ASC",
		array(getRequestElement('network_id')), __FILE__, __LINE__);

	// Are there entries?
	if (!SQL_HASZERONUMS($result)) {
		// List all entries
		$OUT = '';
		while ($row = SQL_FETCHARRAY($result)) {
			// Add this entry
			$GLOBALS['network_vcheck_params_disabled'][$row['network_vcheck_param_key']] = TRUE;

			// Add row template and switch color
			$OUT .= loadTemplate('admin_list_network_vcheck_params_row', TRUE, $row);
		} // END - while

		// Load main template
		loadTemplate('admin_list_network_vcheck_params', FALSE, $OUT);
	} else {
		// No entries found
		displayMessage('{%message,ADMIN_NETWORK_VCHECK_PARAMETER_404=' . $networkData['network_title'] . '%}');
	}

	// Free result
	SQL_FREERESULT($result);

	// Add form for adding new params
	loadTemplate('admin_add_network_vcheck_param', FALSE, $networkData);
} else {
	// Generate network list for this script
	outputHtml(generateAdminNetworkList());
}

// [EOF]
?>
